<app-page-header headerTitle="{{ title }} Item">
  <app-button
    icon="fa-solid fa-angle-left"
    text="Back"
    (onClick)="goToList()"
  ></app-button>
</app-page-header>

<app-tabs [activeTab]="activeTab" class="p-0">
  <app-tab tabTitle="Item Detail" id="ItemDetail">
    <form [formGroup]="itemForm">
      <app-card>
        <div class="row">

          <div class="col-lg-4 col-sm-12 col-md-4">
            <div class="form-group">
              <label for="Title" class="form-label">
                Category
                <span class="text-danger">*</span></label
              >
              <ng-select
                appendTo="body"
                placeholder="--Select Category--"
                [items]="categoryList"
                bindLabel="title"
                bindValue="id"
                formControlName="categoryId"
                [ngClass]="{
                  'is-invalid':
                    (f.categoryId?.touched || submitted) && f.categoryId?.errors
                }"
              >
              </ng-select>
              <div
                *ngIf="submitted && f.categoryId.errors?.required"
                class="alert-error"
              >
                Category is required
              </div>
            </div>
          </div>


          <div class="col-lg-4 col-sm-12 col-md-4">
            <div class="form-group">
              <label for="Title" class="form-label">
                Item Name
                <span class="text-danger">*</span></label
              >
              <input
                type="name"
                class="form-control"
                id="itemName"
                placeholder="Item Name"
                formControlName="itemName"
              />
              <div
                *ngIf="submitted && f.itemName.errors?.required"
                class="alert-error"
              >
                Item Name is required
              </div>
            </div>
          </div>


          <div class="col-lg-2 col-sm-6 col-md-2">
            <div class="form-group">
              <label for="name" class="form-label">
                Basic Price
                <span class="text-danger">*</span></label
              >
              <input
                type="name"
                class="form-control"
                id="basicPrice"
                placeholder="Price"
                formControlName="basicPrice"
              />
              <div
                *ngIf="submitted && f.basicPrice.errors?.required"
                class="alert-error"
              >
                Basic Price is required
              </div>
            </div>
          </div>

          <div class="col-lg-2 col-sm-6 col-md-2" *ngIf="Id">
            <div class="form-group">
              <app-switch formControlName="isActive" label="Status"></app-switch>
            </div>
          </div>

          <div class="col-lg-12 col-sm-12 col-md-12">
            <div class="form-group">
              <label for="status" class="form-label">Description</label>
              <quill-editor
                placeholder="Enter Description"
                formControlName="description"
                [modules]="modules"
              >
              </quill-editor>
            </div>
          </div>
        </div>
      </app-card>

      <!-- <app-card>
        <div class="row py-1">
          <div class="col">
            <h2 class=""></h2>
            <div class="table-responsive">
              <table class="table" formArrayName="attributeDetail">
                <thead>
                  <tr>
                    <th>Attribute<span class="text-danger">*</span></th>
                    <th>Attribute Value<span class="text-danger">*</span></th>
                    <th>Price<span class="text-danger">*</span></th>
                    <th>Status</th>
                    <th width="5%">
                      <app-button
                        icon="fas fa-plus"
                        color="success"
                        text=""
                        (onClick)="addattributeRow()"
                      >
                      </app-button>
                    </th>
                  </tr>
                </thead>
                <tbody
                  *ngFor="let item of attributeDetail.controls; let i = index"
                  [formGroupName]="i"
                >
                  <tr>
                    <td>
                      <ng-select
                        appendTo="body"
                        placeholder="--Select Attribute--"
                        [items]="attributeList"
                        bindLabel="attributeName"
                        bindValue="id"
                        formControlName="attributeId"
                        (change)="setAttribute($event)"
                        [ngClass]="{
                          'is-invalid':
                            (f.attributeId?.touched || submitted) &&
                            f.attributeId?.errors
                        }"
                      >
                      </ng-select>
                      <div
                        *ngIf="
                          attributeDetail.controls[i].get('attributeId')?.errors
                            ?.required && submitted
                        "
                        class="alert-error"
                      >
                        Attribute is required
                      </div>
                    </td>
                    <td>
                        <ng-select
                          appendTo="body"
                          placeholder="--Select Attribute Value--"
                          [items]="attributeDetailList"
                          bindLabel="value"
                          bindValue="id"
                          formControlName="attributeDetailId"
                          [ngClass]="{
                            'is-invalid':
                              (f.attributeDetailId?.touched || submitted) &&
                              f.attributeDetailId?.errors
                          }"
                        >
                        </ng-select>
                        <div
                          *ngIf="
                            attributeDetail.controls[i].get('attributeDetailId')?.errors
                              ?.required && submitted
                          "
                          class="alert-error"
                        >
                          Attribute Value is required
                        </div>
                      </td>
                    <td>
                        <input
                        type="name"
                        class="form-control"
                        id="price"
                        placeholder="Price"
                        formControlName="price"
                      />
                    </td>
                    <td>
                      <input
                        type="checkbox"
                        class="custom-control-input"
                        id="isActive2"
                        formControlName="isActive"
                      />
                    </td>
                    <td>
                      <app-button
                        icon="far fa-trash-can"
                        color="danger"
                        text=""
                        (onClick)="removeattributeRow(i)"
                      >
                      </app-button>
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </app-card> -->
    </form>

    <div class="text-end my-4 mx-2">
      <app-button
        text="Update"
        (onClick)="onSubmit($event)"
        [loading]="showLoader"
        *ngIf="isEdit"
      >
      </app-button>
      <app-button
        text="Add"
        (onClick)="onSubmit($event)"
        [loading]="showLoader"
        *ngIf="!Id"
      >
      </app-button>
      <app-button text="Cancel" (onClick)="goToList()"> </app-button>
    </div>
    <!-- <app-tabs [tabClass]="'pills'" activeTab="itemInfo">
      <app-tab tabTitle="Item Info" id="itemInfo">

      </app-tab>
    </app-tabs> -->
  </app-tab>

  <app-tab tabTitle="Item Images" id="ItemImages" *ngIf="Id">
    <app-item-images></app-item-images>
  </app-tab>
</app-tabs>
